Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.PC.FieldSplitSchurFactType

class petsc4py.PETSc.PC.FieldSplitSchurFactType

  Bases: `object`

  The field split Schur factorization type.

  Attributes Summary

  `DIAG` | Constant `DIAG` of type `int`
  `FULL` | Constant `FULL` of type `int`
  `LOWER` | Constant `LOWER` of type `int`
  `UPPER` | Constant `UPPER` of type `int`

  Attributes Documentation

  DIAG: int = DIAG

    Constant `DIAG` of type `int`

  FULL: int = FULL

    Constant `FULL` of type `int`

  LOWER: int = LOWER

    Constant `LOWER` of type `int`

  UPPER: int = UPPER

    Constant `UPPER` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)